| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxWebViewFactory Class Referenceabstract
WebView

`#include <wx/webview.h>`

Inheritance diagram for wxWebViewFactory:
[legend]

## Detailed Description

An abstract factory class for creating wxWebView backends.

Each implementation of wxWebView should have its own factory.

Since
  2.9.5

  ##

Library: wxWebView
Category: WebView

See Also
  wxWebView

## Public Member Functions

virtual wxWebView * | Create ()=0
| Function to create a new wxWebView with two-step creation, wxWebView::Create should be called on the returned object.
virtual wxWebView * | Create (wxWindow *parent, wxWindowID id, const wxString &url=wxWebViewDefaultURLStr, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxWebViewNameStr)=0
| Function to create a new wxWebView with parameters.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Member Function Documentation

virtual wxWebView* wxWebViewFactory::Create | ( |  | ) |

pure virtual

Function to create a new wxWebView with two-step creation, wxWebView::Create should be called on the returned object.

Returns
  the created wxWebView

virtual wxWebView* wxWebViewFactory::Create | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | url = `wxWebViewDefaultURLStr`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `wxWebViewNameStr`
| ) |  |

pure virtual

Function to create a new wxWebView with parameters.

Parameters

  parent | Parent window for the control
  id | ID of this control
  url | Initial URL to load
  pos | Position of the control
  size | Size of the control
  style | Window style. For generic window styles, please see wxWindow.
  name | Window name.

Returns
  the created wxWebView